Subject: bug#71429: Inconsistent y-or-n-p prompt behavior in Emacs Lisp

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jun 2024 21:08:29 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sat, 08 Jun 2024 13:41:14 -0400
> 
> > Or maybe you are saying that a Lisp program that binds
> > search-spaces-regexp has a bug, because Lisp code is not supposed to
> > bind that?
> 
> That, yes. Binding it should be done carefully only at those places
> where the contained Lisp code is performing a search whose regexp was
> built from interactive user input.
> 
> If you let bind that var and then call arbitrary code, I'd
> expect breakage.

OK, thanks.  So I now added the above caveat to the ELisp manual, and
I'm closing this bug.